/*
 Theme Name:   Motyw Potomny Dariusz Bittner
 Description:  This is a sample child theme
 Author:       Ola S.
 Template:     Divi
 Version:      1.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  bittner
*/

/* ======================
Typography Reset
========================= */
body {
font-weight: 400;
}

.et_pb_heading h1, .et_pb_heading h2, .et_pb_heading h3, .et_pb_heading h4, .et_pb_heading h5, .et_pb_heading h6 {
padding-bottom:0;
}

.dsa-text h1:not(:first-child),
.dsa-text h2:not(:first-child),
.dsa-text h3:not(:first-child),
.dsa-text h4:not(:first-child),
.dsa-text h5:not(:first-child),
.dsa-text h6:not(:first-child) {
padding-top: 1em;
}

.dsa-text p:last-of-type {
padding-bottom: 1em;
}

.dsa-text p:last-child, .dsa-text ul:last-child, .dsa-text ol:last-child {
padding-bottom: 0;
}

/* List styling */
.dsa-text li::marker {
color: var(--gcid-secondary-color);
}

/* Links styling */
.dsa-text a {
text-decoration-thickness: .1em;
transition: all .1s linear;
text-underline-offset: .1em;
}

.dsa-text a:hover {
text-underline-offset: .3em;
}

/*przycisk do góry*/

.et_pb_scroll_top:before {
content: '!';
}
.et_pb_scroll_top.et-pb-icon {
background: #F8F6F0;
color: #163A70;
padding: 12px;
font-size: 22px;
right: 20px;
box-shadow: 0 8px 20px rgba(0, 0, 0, 0.15);
border-radius: 30%;
}
.et_pb_scroll_top.et-pb-icon:hover {
background: #163A70;
color: #F8F6F0;
}
.et_pb_scroll_top.et-pb-icon.et-visible {
transition: all .3s ease-in-out;
}

/* Selection styling for highlighted text */
::selection {
    background: #163A70;
    color: #fff;
}
:is(h1,h2,h3,h4,h5,h6)::selection {
    background: var(--gcid-secondary-color);
    color: var(--gcid-heading-color);
}
a::selection {
    background: var(--gcid-primary-color);
    color: #fff;
	
}

/*wcześniejsza zmiana menu z destop na hamburgera*/
@media all and (max-width: 1150px) {
  .et_pb_menu .et_pb_menu__menu {
    display: none !important;
  }

  .et_pb_menu .et_mobile_nav_menu {
    display: block !important;
  }

  .et_pb_menu .et_mobile_nav_menu {
    margin-left: auto !important;
  }

  .et_pb_menu .et_pb_menu__wrap {
    justify-content: flex-end !important;
  }
}
	
	